Last Comment Bug 839950 - Cannot search by Change History on multi select fields.
: Cannot search by Change History on multi select fields.
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Query/Bug List (show other bugs)
: 4.4
: All All
: -- normal (vote)
: Bugzilla 4.2
Assigned To: Matt Tyson
: default-qa
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-10 21:04 PST by Matt Tyson
Modified: 2013-02-17 17:10 PST (History)
0 users
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to add change history multi select searching (673 bytes, patch)
2013-02-10 21:04 PST, Matt Tyson
LpSolit: review-
Details | Diff | Splinter Review
Patch to add change history multi select searching (1.36 KB, patch)
2013-02-12 17:48 PST, Matt Tyson
LpSolit: review+
Details | Diff | Splinter Review

Description Matt Tyson 2013-02-10 21:04:54 PST
Created attachment 712344 [details] [diff] [review]
Patch to add change history multi select searching

In query.cgi, the Change History column sources its fields from the bugs table, which means it doesn't list any multi select fields as an option to search from.

Attached is a patch to allow searching by change history on multi select fields.
Comment 1 Frédéric Buclin 2013-02-11 11:11:45 PST
Comment on attachment 712344 [details] [diff] [review]
Patch to add change history multi select searching

This change is inconsistent with 1) the comment above this subroutine which specifies "fields from the bugs table", and 2) the code later in this subroutine which takes care of multi-select fields, see bug 400569. These comments must be fixed. It would be good to also fix the POD for this subroutine, while you are on it.

Also, did you make sure that the code in Search.pm works correctly with multi-select fields?
Comment 2 Matt Tyson 2013-02-12 17:48:01 PST
Created attachment 713226 [details] [diff] [review]
Patch to add change history multi select searching

I've updated the comments.

I've done testing on searching a multi select by change history and everything appears to be working as I would expect.
Comment 3 Frédéric Buclin 2013-02-16 15:43:31 PST
Comment on attachment 713226 [details] [diff] [review]
Patch to add change history multi select searching

>=== modified file 'Bugzilla/Bug.pm'

>+# Returns a list of currently active and editable bug fields,
>+# including with multi select fields.

s/with//


Thanks for the patch! r=LpSolit
Comment 4 Frédéric Buclin 2013-02-16 15:48:25 PST
I will apply the patch without POD, so that it applies cleanly to all branches.
Comment 5 Frédéric Buclin 2013-02-16 17:19:50 PST
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/Bug.pm
Committed revision 8580.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified Bugzilla/Bug.pm
Committed revision 8520.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified Bugzilla/Bug.pm
Committed revision 8188.
Comment 6 Frédéric Buclin 2013-02-17 17:10:10 PST
Added to relnotes for 4.4rc2 and 4.2.5.

Note You need to log in before you can comment on or make changes to this bug.